Resize block-storage volume

Block volumes can only be increased in size.

Authentication

AuthorizationBearer

IBEE platform API token. Production tokens start with ibee_prod_key_; development tokens start with ibee_dev_key_. Use a token only with its matching gateway environment.

Path parameters

volume_idstringRequired>=1 character

Workspace-owned block-volume ID.

Query parameters

workspace_idstringRequiredformat: "^[1-9][0-9]*$">=1 character

The positive numeric workspace ID to scope this request to. Zero, negative, and non-numeric values are rejected.

Request

This endpoint expects an object.
new_size_gbintegerRequired1-10000
vm_stateenum or nullOptional
allow_onlinebooleanOptionalDefaults to false
idempotency_keystring or nullOptional

Response

Volume resized successfully.
volumeobject
operationobject

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error